Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Class TTFCmapEntry

    java.lang.Object
      org.apache.fop.fonts.truetype.TTFCmapEntry

public class TTFCmapEntry
extends java.lang.Object

The CMap entry contains information of a Unicode range and the the glyph indexes related to the range

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getGlyphStartIndex()` Returns the glyphStartIndex.
`int` | `getUnicodeEnd()` Returns the unicodeEnd.
`int` | `getUnicodeStart()` Returns the unicodeStart.
`void` | `setGlyphStartIndex(int glyphStartIndex)` Sets the glyphStartIndex.
`void` | `setUnicodeEnd(int unicodeEnd)` Sets the unicodeEnd.
`void` | `setUnicodeStart(int unicodeStart)` Sets the unicodeStart.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getGlyphStartIndex

    public int getGlyphStartIndex()

  Returns the glyphStartIndex.

  Returns:
    int

### getUnicodeEnd

    public int getUnicodeEnd()

  Returns the unicodeEnd.

  Returns:
    int

### getUnicodeStart

    public int getUnicodeStart()

  Returns the unicodeStart.

  Returns:
    int

### setGlyphStartIndex

    public void setGlyphStartIndex(int glyphStartIndex)

  Sets the glyphStartIndex.

  Parameters:
    `glyphStartIndex` - The glyphStartIndex to set

### setUnicodeEnd

    public void setUnicodeEnd(int unicodeEnd)

  Sets the unicodeEnd.

  Parameters:
    `unicodeEnd` - The unicodeEnd to set

### setUnicodeStart

    public void setUnicodeStart(int unicodeStart)

  Sets the unicodeStart.

  Parameters:
    `unicodeStart` - The unicodeStart to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.